﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Dto;

namespace TestAPI.Extensions
{
    class IdEqualityComparer : EqualityComparer<UserDTO>
    {
        public override bool Equals(UserDTO x, UserDTO y)
        {
            return x.Id == y.Id;
        }

        public override int GetHashCode(UserDTO obj)
        {
            return obj.Id;
        }
    }
}
